summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_build.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 29d64337..e2cc2ad6 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -54,7 +54,9 @@ EOF
# this needs sid entries in sources.list:
grep deb-src /etc/apt/sources.list | grep sid
-sudo apt-get update
+# try apt-get update twice, else fail gracefully, aka not.
+sudo apt-get update || ( sleep $(( $RANDOM % 100 )) ; sudo apt-get update || true )
+
set +x
# if $1 is an integer, build $1 random packages